Bug 2077983 (CVE-2022-1587)

Summary: CVE-2022-1587 pcre2: Out-of-bounds read in get_recurse_data_length in pcre2_jit_compile.c
Product: [Other] Security Response Reporter: Pedro Sampaio <psampaio>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: bdettelb, caswilli, dhalasz, dkuc, fjansen, ggastald, hhorak, jburrell, jwong, kaycoth, ljavorsk, manisandro, micjohns, mschorm, psegedy, rfreiman, ryanhammerdick, sbiarozk, sthirugn, tcarlin, tfister, tkasparek, tmeszaro, tsasak, vkrizan, vkumar, vmugicag
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: pcre2 10.40 Doc Type: If docs needed, set a value
Doc Text:
An out-of-bounds read vulnerability was discovered in the PCRE2 library in the get_recurse_data_length() function of the pcre2_jit_compile.c file. This issue affects recursions in JIT-compiled regular expressions caused by duplicate data transfers.
Story Points: ---
Clone Of: Environment:
Last Closed: 2022-07-01 10:12:41 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 2080051, 2081975, 2077986, 2081974, 2081976, 2086873    
Bug Blocks: 2077988, 2081999    

Description Pedro Sampaio 2022-04-22 19:01:40 UTC
An out-of-bounds read was discovered in PCRE version 10.39, affecting recursions in JIT-compiled regular expressions. The bug is present in the function "get_recurse_data_length", declared in "pcre2_jit_compile.c".

References:

https://github.com/PCRE2Project/pcre2/commit/03654e751e7f0700693526b67dfcadda6b42c9d0

Comment 1 Pedro Sampaio 2022-04-22 19:04:12 UTC
Created pcre2 tracking bugs for this issue:

Affects: fedora-all [bug 2077986]

Comment 5 TEJ RATHI 2022-05-05 06:47:38 UTC
Created mingw-pcre2 tracking bugs for this issue:

Affects: fedora-all [bug 2081976]

Comment 9 Lukas Javorsky 2022-05-19 11:18:54 UTC
I've submitted an upstream issue to find out which commits really fix the CVE

https://github.com/PCRE2Project/pcre2/issues/122

Comment 11 errata-xmlrpc 2022-06-28 14:59:46 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 9

Via RHSA-2022:5251 https://access.redhat.com/errata/RHSA-2022:5251

Comment 12 Product Security DevOps Team 2022-07-01 10:12:38 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2022-1587